package com.ruoyi.ems.domain;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 能源设施/系统分类对象 dim_ems_facs_type
 * 
 * @author ruoyi
 * @date 2024-07-10
 */
public class FacsCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设施系统代码 */
    @Excel(name = "设施系统代码")
    private String code;

    /** 设施系统名称 */
    @Excel(name = "设施系统名称")
    private String name;

    /** 说明 */
    @Excel(name = "说明")
    private String desc;

    /** 数据版本 */
    @Excel(name = "数据版本")
    private String version;

    /** 子类 */
    private List<FacsSubCategory> subtypeList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDesc(String desc) 
    {
        this.desc = desc;
    }

    public String getDesc() 
    {
        return desc;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }

    public List<FacsSubCategory> getSubtypeList() {
        return subtypeList;
    }

    public void setSubtypeList(List<FacsSubCategory> subtypeList) {
        this.subtypeList = subtypeList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("desc", getDesc())
            .append("version", getVersion())
            .toString();
    }
}
